+======================================+
   Discuz! X2 Release 20130201
+======================================+

FIX 应用中心客户端升级， 兼容组件
FIX DIY会员模块，个人居住地、出生地信息无法调出(13970)
FIX 修复 DIY商品模块显示重复数据的问题
FIX 文章查看页用户的编辑和删除的权限判断不正确的问题
FIX 加强DIY模块模板解析时对特殊字符

FIX DIY模块属性设置中复选框值无法取消的问题
FIX 阅读权限的设置问题
FIX 增加应用中心的访问方式
FIX修复 远程附件无法删除的问题
FIX 附件上传过程中问题

FIX 修正版主移除县赏帖子时造成的积分扣减BUG
Fix 修复缩略图生成bug
FIX 修正搜索接口可能的帖子空洞造成获取数据失败问题
FIX 修正由于UID未做处理引起的XSS漏洞
FIX 频道栏目设置目录时在ie浏览器下diy操作颜色面板出现404错误

FIX 修正日志审核时间选择翻页BUG
FIX 修正QQ互联微博来源KEY前台变量错误的问题
修复 重新提交模块属性值导致屏蔽数据失效的问题
修复 数据转换时member表字段对应错误

FIX 修正用户组游客允许留言BUG
FIX 推送表中的字段和源数据fields中字段同名导致取值不正确的问题

+======================================+
   Discuz! X2 Release 20120628
+======================================+

FIX 修正搜索接口错误调用了implode()函数问题
FIX 好友申请附言问题
FIX 前台管理中已经审核通过文章，后台还是提示审核的问题
FIX QQ互联暴露匿名帖用户信息的问题
FIX 专题模块可使用字段说明文字错误

FIX 密码偿试次数限制修改回原来的IP验证模式
FIX 存档后主题分页出错时的兼容处理
FIX DIY模块调取含有$和\字符时模板解析出错的问题
FIX 关于专题评论后的伪静态链接错误问题。
FIX 修正由存档表引起的分页错乱的BUG

FIX 后台管理团队开启允许导航设置的问题
FIX 过滤exif信息
FIX 门户文章回复没有ip
FIX 道具回收按当前折扣价计算
FIX 纵横搜索修正X2热门话题词获取失败时短时间内重复请求云平台问题

FIX 纵横搜索带中文链接进行rawurlencode处理
FIX 修正正模块模板只允许index[0-9]的BUG
FIX 快速回帖显示楼层号错误，当主题有删帖操作时
FIX 修复 ajax cookie 上报问题
FIX 修正版主刷积分的漏洞

FIX 群组讨论区页面无法DIY
FIX 修正远程附件由于变量履盖造成的地址错误
FIX 修复 模块推送库数据表分页功能失效的问题
FIX 模块修改屏蔽数据ID时导致屏蔽的数据失效的问题
FIX 修复 幻灯模块在二次编辑模块属性时页面DOM中不显示内容

+======================================+
   Discuz! X2 Release 20120329
+======================================+
ADD 增加应用中心(移植自X2.5)
ADD 移植旋风存储到X2
ADD 后台增加腾讯安全数据报表
ADD 增加腾讯安全的上报与处理接口
ADD 新增热门话题、相关帖子功能

FIX 手机版查看专题页面时的错误提示
FIX 用户删除了审核中的图片，后台还是会提示
FIX 发表活动帖没发图片，提交后编辑添加活动图片，无法添加
FIX 加载当前用户组缓存时KEY判断存在误判的问题
FIX 防水墙：回帖白名单判断问题

FIX 频道文章原模块为空时DIY操作保存失效
FIX 发送提醒支持HTML
FIX 暂时去除腾讯安全图标的链接
FIX 修正邀请说明中HTML加斜杆的问题
FIX 添加插件升级文件，修改插件名称

FIX 单主题(附件)最高收入设置无效
FIX 纵横搜索去除多余代码
FIX UCenter修改用户名问题 12014
FIX 抢楼帖到达规定楼层后主题已经关闭后刷新问题
FIX QQ互联去掉群组里面多余的嵌入点

FIX 完善目录可写的检测
FIX 游客发的审核帖，游客将不再能查看
FIX 站外url不解析时的BUG
FIX 手机版顶部导航问题
FIX 后台回收站翻页bug

FIX 个人空间DIY模板问题
FIX 修正 IE8 下文章列表缩略图 BUG
FIX 帖子推送到文章中的图片不再进行权限限制，均可查看
FIX 后台日志管理分页参数
FIX DIY模块  特殊主题过滤 的默认值

FIX 默认不做模板中是否包含图片的检查
FIX 优化onSiteGetAllUsers方法查询
FIX 分类信息表单搜索的结果翻页带参数
FIX 模块 summary长度无效
FIX threadimage tid 重复插入

FIX 因input的autofocus属性导致在chrome浏览器中自动跳转到顶部的问题
FIX QQ互联feedlog 表同步到空间和微博的 status合并
FIX 优化QQ互联微博签名档和解绑功能
FIX 管理面板删帖不进回收站BUG
FIX 看帖页站外分享重用论坛现有查询，不再查数据库

FIX 变量名seccode变量名错误
FIX static设置为http开头的url时的bug
FIX 修复在帖子查看页显示的资料项不显示的问题
FIX 短消息举报
FIX 标题长度为空时，标题值为空

FIX 后台点击订单状态无法查看 fix
FIX 邮箱统一判断为32位
FIX 分类信息表单 XSS 威胁
FIX 用户信息修改问题
FIX 家园同步表情

FIX 修正当设置阅读权限时清容Feed主体内容
FIX 远程调用计划任务，不更新apc cache
FIX 群组帖子查看页的DIY功能
FIX 用户组到期后的处理
FIX 当版块开启图片列表模式，在其版块下也设置了分类信息【上传图片类型】时，编辑出错

FIX 增加后台禁言时提醒用户
FIX 审核回复不参与回帖奖励
FIX 1221版本的一个斑竹删帖的bug
FIX 个人空间分享页面 删除问题
FIX 修正启用域名且同时启用RW时帖子多入口的问题

FIX 在线时间显示的bug
FIX IE9下inserttext修正
FIX 纵横搜索拼接热搜词url时没有对参数值进行rawurlencode的bug
FIX 论坛补充功能关闭了，还能补充
FIX 门户添加频道后，生成的页面删除栏目后无法删除该频道页面。

FIX 计划任务cron_cleanup_monthly.php多余代码
FIX 发送通知 邮件+html 不能解析html代码 fix
FIX 插件模板解析问题
FIX 修改热门话题展示样式
FIX 修复 “朶” “碶”等字结束添加\的问题

FIX 修正未启用相册分类时不显示相册分类
FIX 当没有启用相册分类时的引发的BUG

+======================================+
   Discuz! X2 Release 20111221
+======================================+
FIX 修正删除留言评论时没有删除审核记录的BUG
FIX 修复在显示子版块时，子版块域名没有被替换的BUG
FIX DIY图文模块上传的图片不会被获取图片替代的问题
ADD 增加相册分类选择
FIX 门户附件无法删除

FIX 无法删除未使用DIY模块
FIX 在线时间超长的显示为0
FIX 门户文章页，页面调用地址错误
FIX 部分文件缺少IN_Discuz文件头判断
FIX 修复DIY所在页面地址不正确

FIX 纵横搜索：修改api接口导致sql错误的bug
FIX 外站URL屏蔽
FIX 后台添加用户栏目传图功能显示的bug
FIX 完善dfsockopen函数
FIX 用户组中忽略审核时  禁止类关键词也将被忽略

FIX 群组搜索中主题列表链接错误
ADD 支持系统插件版本更新
ADD 腾讯分析增加WAP版统计
FIX 修正在Mac下的Safari下无法上传的BUG
FIX 删帖回收站

FIX 修复分区和版块单独指定模板时，修改模板和DIY无效
FIX 修正管理员访问加密相册时的Ajax出错
FIX 修改管理面版中回帖管理时的错误
FIX 批量删除时，如果版块有定制积分策略时策略选择错误的BUG
FIX 优化帖子分表时的数据转移操作

FIX 帖子生成文章以后，审核通过的内容游客看到的是 “审核未通过”
FIX 设置主题标签，utf-8编码时的乱码bug
FIX 去掉'wmode', 'transparent'属性，在IE9下面会造成没有办法输入文字的问题
FIX 修复QQ互联用户登录覆盖发帖同步设置的bug
FIX 群组发帖审核时间段不受全局限制

FIX 点评IP显示细节
FIX 发布活动中如果添加有多个可选值的自定义字段问题
FIX 搜索时page固定为1
FIX 2.0商品帖封面图设置
FIX 手机模版帖子收藏页没有做分页处理 问题

FIX 注册成功邮件发送标题重复了两次 问题
FIX 特殊主题包含chr(0)的处理
FIX 删除单个收藏后没有自动刷新 问题
FIX QQ互联token检测在某些版本IE浏览器下会报JSON未定义的问题
FIX 下拉菜单 -> 修正 IE 下渲染缓慢及 IE8 下鼠标 hover 时没有背景色的 BUG

FIX 无法保证本地方式接口的完美兼容，暂时关闭
FIX 物理路径下调用错误
FIX DIY轮换图最后一张显示后不隐藏问题
FIX 修改当输入标题关键字时出现的SQL错误
FIX 统一处理 page 变量

FIX 帖子可以推送到活动和商品模块
FIX 删除影响性能的多余代码
FIX SQL字符转义问题
FIX 修改溢出bug
FIX 修改两处可能造成Flash上传时用户组变更的地方

FIX 邮件填写时为大写造成判断错误的BUG
FIX 修改模板语法错误
FIX 笔误导致文件名错误
FIX 设置游客禁止访问，正确登录后跳转路径错误 问题
FIX QQ互联: 修改论坛后台设置发帖不同步到空间或不同步到微博时，发帖页有js报错的问题

FIX 修改删除用户时的bug
FIX 更新附件时的删除旧附件逻辑修正

+======================================+
   Discuz! X2 Release 20111010
+======================================+
FIX 修复QQ互联token检测失效后，发帖页仍显示“此主题将同步到QQ空间...”的提示问题
ADD QC向腾讯分析上报数据
FIX QQ互联修改浮动窗分享按钮和快速发帖的分享按钮调用同一方法冲突的问题
ADD 新增纵横搜索插件(cloudsearch)，并设置为系统插件
ADD 去除搜索插件的关联操作
FIX 修正浮动窗口中的分享按钮显示bug
FIX 删除临时添加的纵横搜索插件，需要系统插件支持并考虑现有用户升级
FIX 修改cookie登录上报次数错误、不符合预期（4次）的bug
FIX 修复版块内进行纵横搜索时fId参数传递错误的问题
FIX 修复纵横搜索记录log时对my_search_data判断的bug及开通回调时返回值错误的bug
FIX 修改测试QQ互联和纵横搜索发现的问题
FIX DIY从简洁模式切换到高级模式下样式不生效的问题
FIX 修复self::关键字与php4不兼容问题
FIX 纵横搜索增加插件机制
FIX QQ互联增加验证access token有效性和上报cookie登录机制
FIX 查看已删除的主题时，在threadlog表加一条action=redelete的记录
FIX 增加用户搜索条件过滤，原先的条件去除方法可能会导致无条件删除用户
FIX 开通云平台前确认uniqueid是否存在，如果不存在则按规则生成一个
FIX 增加IN_UC判断
FIX 修改设置附件类型时，扩展名大小写造成附件被排除的BUG
FIX 代码顺序细节，防止模板缓存无意义增长
FIX 帖子内容页用户隐私设置失效 	  
FIX IE6/7 提交投票之后页面不刷新
FIX 商品主题审核时的查看
FIX 删除没用的计划任务文件
FIX 修复编辑文章时禁止评论的checkbox不显示的问题
FIX 云平台诊断工具中的IP地址列表改为JS从云平台动态获取
FIX 更新附件时的删除旧附件逻辑修正
FIX 修复模块缩略图不生效的问题
ADD QQ互联增加看帖页划词分享到微博(Q-share)功能
FIX 兼容双核浏览器用户身份
FIX 批量删除帖子时更新主题回复数：缺少单引号导致字段溢出
FIX 修复 模块中出生城市和居住城市不能选择的问题
FIX 修复论坛附件插入到文章下载地址错误
FIX 修改模块单条数据编辑、审核、推送时的字符长度截取
FIX 修复单用户单频道或多频道发布文件时频道栏目列表显示不正确的问题
FIX 修复门户管理中文章发布按钮权限判断错误
FIX 取消纵横搜索的跳转，修改成直接提交数据(cloud#556, tid#9586)
FIX 活动导出尾部换行问题
FIX 给活动帖看贴页“我要参加”弹窗限制最大高度
FIX 修改浮动窗点击分享到空间、微博按钮无效的bug
FIX 更新附件 非图片附件的大小入库为0
FIX 帖子合并时tableid未更新
FIX 分类信息SELECT字段中的文字检索出现重选问题 修改
FIX 后台内容审核 搜索条件丢失bug修改
FIX QQ群后台推送IE9兼容性问题
FIX 群组看帖里面 的返回列表 链接，点击回到了 论坛首页
FIX 修改回帖奖励积分的BUG，问题需要进一步跟进

+======================================+
   Discuz! X2 Release 20110817
+======================================+
ADD QQ互联 - 微博签名档
ADD 腾讯分析技巧提示文字更新
ADD 腾讯分析后台图标设置页面调整，腾讯分析前台JS增加新统计参数
FIX 分类信息select框，在编辑帖子状态下，会多出一个select 问题
FIX 更新插件以及版本号
FIX 统一后台menu的获取云服务列表方法
FIX 修改搜索变量进行htmlspecialchars
FIX 将版块列表、用户组权限等信息缓存起来
FIX 修复搜索状态字段判断没有更新的问题
FIX 图片延时加载设置
FIX 移除搜索参数里传递的openid
FIX 附件管理程序错误
FIX 游客允许访问漫游首页，但无权操作
FIX 帖子高级搜索搜不到的BUG
FIX 关闭认证时允许修改相关的资料项
FIX 空间查看数字段不正确
FIX 修正由于用户在后台填写大写的邮箱，校验失败的问题
FIX 限定当选择框中的字符串不为字母时，返回空值
FIX 24小时评分限制的BUG
FIX 水印后图片大小错误
FIX 修复文章管理中模块的推送权限问题
FIX 修正上传图片需要审核时直接写入数据库的BUG
FIX 修正UTF-8下面提示的信息没有策略名称
FIX 修正云平台API常量判断错误BUG
FIX 一个模块在一个页面中多次使用时的sql错误
FIX 去除自动交易结束的代码
FIX 修复抢楼规则*号不个位数楼层的问题（如*2）
FIX 修复 欢迎新会员会员名转义
FIX 翻页时主题分类的问题
FIX [img]和[flash]中url被自动解析问题修改
FIX 全并主题后无法编辑的问题
FIX 抢楼帖编辑时会锁上的问题
FIX 修正允许完全踢除栏目分类
FIX 创始人进入后台的标志位
FIX SCRIPT_NAME 的获取方法
FIX 修正放弃任务的BUG造成可以放弃已完成的任务达到重复领奖
FIX DIY模块调用分类信息数据时出现Array
FIX 家园被关闭时跳转地址错误
FIX 修正迁移云平台程序移值的BUG， 及优化代码
FIX 可选名称显示位置错误
FIX 验证码显示问题
FIX 清除common_modrate表中无效的回帖记录
FIX 提示审核数量不包含已忽略记录
FIX 活动不支持file类型的用户栏目字段
FIX 后台附件管理搜索天数
FIX 版块添加主题分类
FIX 校验dreferer的域名，防止XSS注入
FIX 修复模块权限：可推送数据且不需要审核的权限既有管理数据的功能，但没有管理属性的功能
FIX 修复管理员在前台管理中只能查看自己的文章
FIX 修改支付宝签约地址
FIX 因插件的模板导致分区自定义风格失效
FIX 管理人员字段标记为不正确的问题
FIX 在图片宽度为0的时候，使用缩略方式，使用图片的默认宽度，不强制指定图片的宽度
FIX 修正跳楼和回帖置顶  与倒序看帖之间的问题
FIX 修正站点关闭状态下，用户可以注册的问题
FIX 更新设置IP的方法不判断是否开启云平台
FIX 修正部分隐藏的安全问题
FIX 修改默认安全设置, 禁止 msyql 当中使用注释

+======================================+
   Discuz! X2 Release 20110629
+======================================+

FIX Flash标签代码属性
FIX 修正QQ互联在获取同步Feed状态位出错问题
FIX bbcode 标签嵌套引起的错误
FIX 当帖子被关闭时，允许显示
FIX 修改通过ucenter备份论坛数据bug
FIX 修复后台导出用户csv文件信息不对称
FIX 勋章细节
FIX 解决程序中没有移除membermerage引用造成的500错误
FIX 数组合并运算的BUG
FIX 文件可写权限检查导致内容溢出，只权限指定目录，取消子目录的查检
FIX 群组内置的附件模块转换为群组帖子模块
FIX 更新Manyou接口, 接口版本号更新至0.4
FIX 禁用在应用页面使用返回顶部，在这个页面会造成Flash渲染问题
FIX 修改游客时显示左侧导航，解决错位问题
FIX 修正抢楼帖中*号匹配所有楼层
FIX archiver 域名前缀防止重复收录
FIX 发主题时下载远程图片仍然提示至少要发一张图
FIX 后台搜索用户管理统计信息的链接问题
FIX 会员每小时发帖数限制功能
FIX 解决前台审核用户否决无效
FIX 头部个人信息部分样式优化
FIX 帖子用户名修改bug修改
FIX 修正已知的安全问题
+======================================+
   Discuz! X2 Release 20110521
+======================================+
Discuz! X2 在继承和完善 Discuz! X1.5 “经典”宗旨的基础上，
针对“运营拓展”、“负载性能”、“用户体验”和“管理体验”几大方
面，全面优化和打造, 功能改进多达300余项。
重点功能:
A 性能优化内置完善的解决方案，继续提升产品负载能力
B 短消息增加多人会话模式，并支持后台批量搜索管理
C 门户DIY新增简洁模式，全面开放，支持第三方产品以API模式接入
D 全新的手机版
E 支持自定义规则的充值卡系统
F 优化产品SEO体系
G 群组支持合并
H 专题内置评论功能
I 让门户的专题功能增加互动评论功能，可以使站内的优势资源产生多层评价
J 帖子中的网络图片一键下载到本地
K 主题分类增加权限控制
L 抢楼贴更加智能
M 引用回复与点评的融合改进
N 内置Discuz! 云平台
O 权限可控制的标签功能，热帖推荐更加方便
P 用户登录／注册体验改进
Q 贴图版块支持以图片模式展示
R 全新的帖子埋红包，回帖自动送奖励帖子模式
S 分类信息字段增加多级联动选择支持
T“版块视图”模式支持显示其他版块，群组帖子功能
U 提醒体验全面改造
V 词语过滤支持分组，并支持大数据量替换
W 邀请注册支持在线购买邀请码
X 站长后台管理体验大幅优化

改进详情请见： http://dev.discuz.org/doing.php

+--------------------------------------+
往日版本( Old Vision )
+--------------------------------------+
Discuz! X1 Beta Release 20100501
Discuz! X1 Release 20100518
Discuz! X1 Release 20100601
Discuz! X1 Release 20100613
Discuz! X1 Release 20100723
Discuz! X1.5RC Release 20100901
Discuz! X1.5